Error renewing certs


#1

I keep getting errors using Let’s Encrypt for renewing the certs. Running the following command:

ee site update --le=renew --all

Results in the following error:

ERROR : Cannot RENEW SSL cert ! Your current cert will expire within 19 days. Check logs for reason tail /var/log/ee/ee.log & Try Again!!!

which outputs the following in the log file:

2016-08-12 22:21:47,418 (DEBUG) ee : Running command: date -d "openssl x509 -in /etc/letsencrypt/live/kunden.webersolutions.ch/cert.pem -text -noout|grep "Not After"|cut -c 25-" +%s 2016-08-12 22:21:47,425 (DEBUG) ee : Command Output: 1472737620 Command Error: 2016-08-12 22:21:47,426 (ERROR) ee : Your current cert will expire within 19 days. 2016-08-12 22:21:47,426 (DEBUG) ee : Running command: date -d "openssl x509 -in /etc/letsencrypt/live/kunden.webersolutions.ch/cert.pem -text -noout|grep "Not After"|cut -c 25-" 2016-08-12 22:21:47,435 (DEBUG) ee : Command Output: Thu Sep 1 15:47:00 CEST 2016 Command Error: 2016-08-12 22:21:47,458 (ERROR) ee : Check logs for reason tail /var/log/ee/ee.log & Try Again!!!


#2

It looks as though the tail shows us only the very last bits of this log. We will need more to diagnose, I think, sorry.

Try tail -n 100 /var/log/ee/ee.log maybe ? This will give 100 lines of output, you can paste it here or in a pastebin (and link it)


#3

This topic was automatically closed 30 days after the last reply. New replies are no longer allowed.